# BB-DATEPAGE.CGI

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

bb-datepage.cgi - Xymon CGI script to view pre-built reports by date

## SYNOPSIS

bb-datepage.cgi?type={day,week,month} --url=URLPREFIX [options]

## DESCRIPTION

bb-datepage.cgi is invoked as a CGI script via the bb-datepage.sh CGI wrapper.

bb-datepage.cgi is passed a QUERY_STRING environment variable with the type of time-selection that is desired: Either "day", "week" or "month" can be requested. It will then generate a web form with appropriate day/week/month selection boxes, and based on the users' selection a resulting url is built from the URLPREFIX and the time selection. The browser is then redirected to this URL.

The URL is constructed from the URLPREFIX, the type-parameter, the value of the "pagepath" or "host" cookie, and the users' selection as follows:

type=day
  The final URL is URLPREFIX/daily/YEAR/MONTH/DAY/PAGEPATH.

type=week
  The final URL is URLPREFIX/weekly/YEAR/WEEK/PAGEPATH.

type=month
  The final URL is URLPREFIX/monthly/YEAR/MONTH/PAGEPATH.

  YEAR is the full year (4 digits, including century). MONTH is the two-digit number of the month (01..12). DAY is the number of the day in the month (01..31). WEEK is the ISO 8601:1988 week-number (01..53). PAGEPATH is the current value of the "pagepath" cookie if set; if it is not set but the "host" cookie is set, then this host is looked up in the bb-hosts file and the page where this host is found is used for PAGEPATH. These two cookies are set by the default web-header templates supplied with Xymon.

## OPTIONS

--url=URLPREFIX
  This specifies the initial part of the final URL. This option is required.

--hffile=FILENAME
  Specifies the template files (from $BBHOME/web/) to use. The default is "--hffile=report".

--color=COLOR
  Sets the background color of the generated webpage. The default is blue.

--env=FILENAME
  Loads the environment defined in FILENAME before executing the CGI script.

--debug
  Enables debugging output.

$BBHOME/web/report_form_daily
  HTML form template for the date selection form when type=daily.

$BBHOME/web/report_form_weekly
  HTML form template for the date selection form when type=weekly.

$BBHOME/web/report_form_monthly
  HTML form template for the date selection form when type=monthly.

$BBHOME/web/report_header
  HTML header file for the generated web page

$BBHOME/web/report_footer
  HTML footer file for the generated web page

## ENVIRONMENT VARIABLES

BBHOME
  Used to locate the template files for the generated web pages.

QUERY_STRING
  Contains the parameters for the CGI script.

## SEE ALSO

bbgen(1), bb-hosts(5), hobbitserver.cfg(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
ENVIRONMENT VARIABLES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:31 GMT, December 15, 2008